<?php
/**
 * Class MassDeleteRessourceForm
 * User: Nessandro
 * Date: 2019-10-11
 * Time: 11:29
 * @package ModulesGarden\Servers\ZimbraEmail\App\UI\Client\Ressource\Forms
 */

namespace ModulesGarden\Servers\ZimbraEmail\App\UI\Client\Ressource\Forms;


use ModulesGarden\Servers\ZimbraEmail\App\UI\Client\DistributionList\Providers\DeleteListDataProvider;
use ModulesGarden\Servers\ZimbraEmail\App\UI\Client\Ressource\Providers\DeleteRessourceDataProvider;
use ModulesGarden\Servers\ZimbraEmail\Core\UI\Interfaces\ClientArea;
use ModulesGarden\Servers\ZimbraEmail\Core\UI\Widget\Forms\BaseForm;
use ModulesGarden\Servers\ZimbraEmail\Core\UI\Widget\Forms\Fields\Hidden;
use ModulesGarden\Servers\ZimbraEmail\Core\UI\Widget\Forms\FormConstants;

class MassDeleteRessourceForm extends BaseForm implements ClientArea
{
    protected $id    = 'massDeleteRessourceForm';
    protected $name  = 'massDeleteRessourceForm';
    protected $title = 'massDeleteRessourceForm';

    protected function getDefaultActions()
    {
        return ['massDelete'];
    }

    public function initContent()
    {
        $this->setFormType('massDelete');
        $this->dataProvider = new DeleteRessourceDataProvider();

        $this->setConfirmMessage('massDeleteRessourceFormConfirm');


        $this->loadDataToForm();
    }

}